## python-oslo.limit 1.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
keystoneauth1>=3.9.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.44.0 # Apache-2.0
openstacksdk>=0.31.1 # Apache-2.0

## python-oslo.limit 1.4.0

=== debian/changelog ===
python-oslo.limit (1.4.0-0ubuntu2~cloud0) focal-xena; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 25 Aug 2021 13:35:41 +0000

python-oslo.limit (1.4.0-0ubuntu2) impish; urgency=medium

  * d/t/*: Add autopkgtests (LP: #1940427).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Aug 2021 08:17:28 -0400

python-oslo.limit (1.4.0-0ubuntu1) impish; urgency=medium

  * Initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Jul 2021 14:07:16 -0400

=== debian/control ===
Source: python-oslo.limit
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.9.0),
 python3-openstacksdk (>= 0.31.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.44.0),
 python3-oslotest (>= 1:3.2.0),
 python3-stestr (>= 1.0.0),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.limit
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.limit
Homepage: https://opendev.org/openstack/oslo.limit

Package: python3-oslo.limit
Architecture: all
Depends:
 python3-keystoneauth1 (>= 3.9.0),
 python3-openstacksdk (>= 0.31.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.44.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack library for limit enforcement
 Oslo.limit is the OpenStack library for limit enforcement. It is used to assist
 with quota calculation.
 .
 This package contains the Python 3 module.

## python-oslo.limit 1.5.0

=== debian/changelog ===
python-oslo.limit (1.5.0-0ubuntu1~cloud0) focal-yoga; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 02 Mar 2022 21:17:51 +0000

python-oslo.limit (1.5.0-0ubuntu1) jammy; urgency=medium

  * d/copyright: Fix copyright upstream name and source.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 15:15:35 -0500

## python-oslo.limit 2.0.1

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
fixtures>=3.0.0 # Apache-2.0/BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.limit (2.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:48:41 +0200

python-oslo.limit (2.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 16:15:48 +0200

python-oslo.limit (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 May 2022 10:59:14 +0200

python-oslo.limit (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 15:56:50 +0100

python-oslo.limit (1.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 11:39:08 +0100

python-oslo.limit (1.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:35:04 +0200

python-oslo.limit (1.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #994546)

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 16:31:55 +0200

=== debian/control ===
Source: python-oslo.limit
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslotest,
 python3-stestr,
 python3-subunit,
 python3-sphinxcontrib.apidoc <!nodoc>,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.limit
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.limit.git
Homepage: https://docs.openstack.org/oslo.limit/latest/

Package: python3-oslo.limit
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-openstacksdk,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.limit-doc,
Description: OpenStack limit enforcement library to assist with quota calculation
 Oslo.limit is the limit enforcement library to assist with quota calculation.
 It aims to provide support for quota enforcement across all OpenStack services.
 It provides functions such as get_project_limits() and enforce_limits().

Package: python-oslo.limit-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack limit enforcement library to assist with quota calculation - doc
 Oslo.limit is the limit enforcement library to assist with quota calculation.
 It aims to provide support for quota enforcement across all OpenStack services.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.limit.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

	dh_install

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-oslo.limit-doc/usr/share/doc/python-oslo.limit-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/oslo.limit/oslo.limit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-oslo.limit 2.1.0

=== debian/changelog ===
python-oslo.limit (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:28:23 +0200

python-oslo.limit (2.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 10:42:04 +0100

## python-oslo.limit 2.2.0

=== debian/changelog ===
python-oslo.limit (2.2.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 05 Sep 2023 21:29:24 +0000

python-oslo.limit (2.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:29:20 -0400

python-oslo.limit (2.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:15:08 -0500

python-oslo.limit (2.0.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:19:43 -0400

python-oslo.limit (2.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 16:09:33 -0400

python-oslo.limit (1.6.0-0ubuntu2) kinetic; urgency=medium

  * d/t/control, d/t/python-(o)stestr: Switch from ostestr to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Jun 2022 10:15:38 -0400

python-oslo.limit (1.6.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 15:53:54 -0400

## python-oslo.limit 2.3.0

=== debian/changelog ===
python-oslo.limit (2.3.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Tue, 16 Jan 2024 17:25:48 +0000

## python-oslo.limit 2.4.0

=== requirements.txt ===
keystoneauth1>=3.9.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.44.0 # Apache-2.0
openstacksdk>=0.31.1 # Apache-2.0

=== debian/changelog ===
python-oslo.limit (2.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 11:19:26 +0000

=== debian/control ===
Source: python-oslo.limit
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.9.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.31.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.44.0),
 python3-oslotest (>= 1:3.2.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 1.0.0),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.limit
Homepage: https://opendev.org/openstack/oslo.limit

Package: python3-oslo.limit
Architecture: all
Depends:
 python3-keystoneauth1 (>= 3.9.0),
 python3-openstacksdk (>= 0.31.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.44.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack library for limit enforcement
 Oslo.limit is the OpenStack library for limit enforcement. It is used to assist
 with quota calculation.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=oslo_limit

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/oslo.limit/ oslo.limit-(\d.*)\.tar\.gz

## python-oslo.limit 2.5.0

=== debian/changelog ===
python-oslo.limit (2.5.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090569).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:53:41 +0100

python-oslo.limit (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:52:45 +0200

python-oslo.limit (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 16:33:49 +0200

python-oslo.limit (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:33:51 +0200

python-oslo.limit (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 21:44:14 +0100

python-oslo.limit (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 13:24:10 +0200

python-oslo.limit (2.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 12:44:25 +0200

python-oslo.limit (2.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048034).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 15:41:45 +0200

## python-oslo.limit 2.6.0

=== debian/changelog ===
python-oslo.limit (2.6.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with release.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2025 12:06:58 +0000

python-oslo.limit (2.5.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 13:59:59 +0100

## python-oslo.limit 2.6.1

=== doc/requirements.txt ===
fixtures>=3.0.0 # Apache-2.0/BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.limit (2.6.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:21:29 +0100

python-oslo.limit (2.6.1-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 15:10:38 +0100

python-oslo.limit (2.6.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed hacking from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 15:19:00 +0100

=== debian/control ===
Source: python-oslo.limit
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-fixtures,
 python3-keystoneauth1,
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslotest,
 python3-stestr,
 python3-subunit,
 python3-sphinxcontrib.apidoc <!nodoc>,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.limit
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.limit.git
Homepage: https://docs.openstack.org/oslo.limit/latest/

Package: python3-oslo.limit
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-openstacksdk,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.limit-doc,
Description: OpenStack limit enforcement library to assist with quota calculation
 Oslo.limit is the limit enforcement library to assist with quota calculation.
 It aims to provide support for quota enforcement across all OpenStack services.
 It provides functions such as get_project_limits() and enforce_limits().

Package: python-oslo.limit-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack limit enforcement library to assist with quota calculation - doc
 Oslo.limit is the limit enforcement library to assist with quota calculation.
 It aims to provide support for quota enforcement across all OpenStack services.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.limit.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr doc/source/reference/api *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

	dh_install

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-oslo.limit-doc/usr/share/doc/python-oslo.limit-doc/html
	dh_sphinxdoc
endif

## python-oslo.limit 2.7.0+git2025070815.d254dc4

=== debian/changelog ===
python-oslo.limit (2.7.0+git2025070815.d254dc4-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 24 Jul 2025 16:30:04 -0400

python-oslo.limit (2.6.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:50:35 +0000

## python-oslo.limit 2.8.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

keystoneauth1>=3.9.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.44.0 # Apache-2.0
openstacksdk>=0.47.0 # Apache-2.0

=== debian/changelog ===
python-oslo.limit (2.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 20:45:34 +0200

python-oslo.limit (2.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 16:06:32 +0200

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.limit refs/tags/(\d[brc\d\.]+)

## python-oslo.limit 2.9.2

=== debian/changelog ===
python-oslo.limit (2.9.2-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 2.9.2
  * d/watch: update version
  * d/u/signing-key.asc: update for gazpacho
  * d/rules: enable sphinxdoc to build documentation
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)
  * d/p/install-missing-files.patch: Add patch

 -- Myles Penner <myles.penner@canonical.com>  Fri, 23 Jan 2026 14:15:20 -0800

python-oslo.limit (2.8.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).

 -- Myles Penner <myles.penner@canonical.com>  Fri, 12 Sep 2025 15:25:42 -0700

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=oslo_limit

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.limit/ oslo[._]limit-(\d.*)\.tar\.gz

## python-oslo.limit 2.10.0

=== debian/changelog ===
python-oslo.limit (2.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 17:08:11 +0100

python-oslo.limit (2.8.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048034).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 10:00:42 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.limit.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr doc/source/reference/api *.egg-info .pybuild
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

	dh_install

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-oslo.limit-doc/usr/share/doc/python-oslo.limit-doc/html
	dh_sphinxdoc
endif
